> ## Documentation Index
> Fetch the complete documentation index at: https://docs.northbeam.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch a list of orders

<div className="nb-api-tables nb-field-table">
  ## Headers

  | Header | Description |
  | :- | :- |
  | `Authorization` <span className="nb-req">required</span> | Your Northbeam API key |
  | `Data-Client-ID` <span className="nb-req">required</span> | Your Northbeam client ID |

  ## Query parameters

  <div className="nb-table-wrap"><table className="nb-main-table"><thead><tr><th>Parameter</th><th>Type</th><th>Description</th></tr></thead><tbody><tr><td><code>start\_date</code> <span className="nb-req">required</span></td><td>string</td><td>Start date of the form %Y-%m-%d<br />Default: <code>"2001-01-01"</code></td></tr><tr><td><code>end\_date</code> <span className="nb-req">required</span></td><td>string</td><td>End date of the form %Y-%m-%d<br />Default: <code>"9999-01-01"</code></td></tr></tbody></table></div>

  ## Responses

  | Status | Description |
  | :- | :- |
  | `200` | Orders fetched |
  | `401` | Unauthenticated |
  | `500` | Could not fetch |
</div>


## OpenAPI

````yaml openapi/orders-v2.json GET /orders
openapi: 3.1.0
info:
  title: API - Orders - V2
  description: API for syncing data from ecommerce shops to the Northbeam app.
  termsOfService: https://www.northbeam.io/terms
  contact:
    name: Northbeam customer success
    email: success@northbeam.io
  version: 1.1.0
servers:
  - url: https://api.northbeam.io/v2
    description: Production server (uses live data)
  - url: https://api-uat.northbeam.io/v2
    description: >-
      User Acceptance Testing (UAT), Production Equivalent (provided for
      Customer Testing ONLY, orders submitted here do not get used in
      attribution)
security:
  - api_key: []
    client_id: []
tags: []
paths:
  /orders:
    get:
      summary: Fetch a list of orders
      parameters:
        - in: query
          name: start_date
          description: Start date of the form %Y-%m-%d
          required: true
          schema:
            type: string
            default: '2001-01-01'
        - in: query
          name: end_date
          description: End date of the form %Y-%m-%d
          required: true
          schema:
            type: string
            default: '9999-01-01'
      responses:
        '200':
          description: Orders fetched
        '401':
          description: Unauthenticated
        '500':
          description: Could not fetch
components:
  securitySchemes:
    api_key:
      type: apiKey
      name: Authorization
      in: header
    client_id:
      type: apiKey
      name: Data-Client-ID
      in: header

````